<?php defined('_JEXEC') or die('Restricted access');

/**
 * @version 2.0 $Id: SearchHtmlUtils.php,v 1.5 2010-05-05 18:43:59 harry Exp $
 * @package Joomla
 * @subpackage H2N Link Directory 2
 * @copyright (C) 2008 - 2009 Harry Klein - www.joomla-hklein.de
 * @Copyright (C) 2006 Soner (pisdoktor) Ekici - www.sonerekici.com
 * @license GNU/GPL, see LICENSE.php
 * 
 * H2N Link Directory 2 is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.
 *
 * H2N Link Directory 2 is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with EventList; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

class SearchHtmlUtils {
	
	/**
	 * Gibt das HTML für die Suchbox inkl. Auswahl des Suchtypes (Link oder Kategorie) zurück
	 * 
	 * @return Sring, welches das Jtml für das Suchfeld enthält. 
	 */
	public static function getSearchTextInput() {
		if (isSearchEnable()){
			global $ld;
			$catid = JRequest::getInt('catid', 0 );
			if (isLinkSearchEnable()) {
				$searchtypeDefault='links';
			} elseif (isCategorySearchEnable()) {
				$searchtypeDefault='categories';
			} else {
				$searchtypeDefault='';
			}
			$searchtype = JRequest::getVar('searchtype', $searchtypeDefault);
			switch ($searchtype){
				case 'categories':
					$cchecked='checked="checked"';
					$lchecked='';
					break;
				case 'links':
					$lchecked='checked="checked"';
					$cchecked='';
					break;
				default:
					$lchecked='checked="checked"';
					$cchecked='';
			}
			if (isLinkSearchEnable() && isCategorySearchEnable()){
				$type="radio";
				$linkSearchLabel=_LD_SRCH_LINKS .': ';
				$catSearchLabel=_LD_SRCH_CATEGORIES.': ';
			} else {
				$type="hidden";
				$linkSearchLabel='';
				$catSearchLabel='';
			}
		}
	 	if (isLinkSearchEnable()) {
			echo $linkSearchLabel; ?> <input type="<?php echo $type ?>"  name="searchtype" value="links" <?php echo $lchecked ?>/> 
			<?php } 
		 if (isCategorySearchEnable()) {
			echo $catSearchLabel; ?> <input type="<?php echo $type ?>"  name="searchtype" value="categories" <?php echo $cchecked ?>/>
			<?php 
		} 
	}
}
?>